Subject: [bug#72536] [PATCH v3] tap: new `--stderr-prefix' option to prefix test script's stderr

From: Karl Berry <[email-masked]>
Date: Sun, 23 Feb 2025 10:53:01 -0700

Hi Richard,

    Attached is v4 of the patch series.  Changes from v3:

I pushed it. Thanks!!

    the only negative effect of the race condition 

I adapted some of this text for the manual, since it was helpful at
least for me to gain some sort of understanding of what might happen and
when. Thanks for writing everything, both the patches and the email :),
in such detail.

    I'm hoping most users won't care much about minor reordering; 

I expect you are right.

    I can make it an error to specify both --stderr-prefix and --merge 

Let's release it as you wrote it and see what develops.

     fdmux --mode=line "1:[stdout] %l" "2:[stderr] %l" -- foo arg

You could propose it to coreutils ...  --thanks again, karl.

P.S. Jacob: thanks for the crazy hacks :). I'm content to leave them as
thought experiments :).